function skill3047()

--id = player.GetTargetNpc()

--if battle.CheckNpcStat(duid,1)==1 and battle.CheckNpcStat(duid,741)==1 and npc.GetHP(duid,1)>2 and player.IsPlayerInBattle(512)==1 and battle.CheckPlayerStat(512,742)==0 then
if battle.CheckNpcStat(duid,1)==1 and battle.CheckNpcStat(duid,741)==1 and npc.GetHP(duid,1)>2 and player.IsPlayerInBattle(512)==1 then
--if battle.CheckNpcStat(duid,741)==1 then
npc.CreateSE(duid,3829)
npc.ChangeHP(1,0,duid,-(npc.GetHP(duid,1)-2))
--npc.AddStat(0,duid,9000,29,1)
ui.Popo_Auto(170737,1,duid,2,0)
ui.Message(170736)
end


end